SSpiderIQ
SSpiderIQ

Docs / api-reference/crm-boards

crm-boards

5 endpoints from the published OpenAPI import.

GET/api/v1/crm/boards

List CRM boards

Parameters

NameInTypeRequiredDescription
include_archivedquerybooleanfalse
pagequeryintegerfalse
per_pagequeryintegerfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/boards' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/boards",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/boards", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/crm/boards

Create a CRM board

Try it

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/crm/boards' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "board_type": "string",
  "seed_default_columns": true,
  "column_preset": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/crm/boards",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"name": "string", "description": "string", "icon": "string", "color": "string", "board_type": "string", "seed_default_columns": true, "column_preset": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"name": "string", "description": "string", "icon": "string", "color": "string", "board_type": "string", "seed_default_columns": true, "column_preset": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"name": "string", "description": "string", "icon": "string", "color": "string", "board_type": "string", "seed_default_columns": true, "column_preset": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/crm/boards", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
GET/api/v1/crm/boards/{board_id}

Get a CRM board

Parameters

NameInTypeRequiredDescription
board_idpathstringtrue
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/boards/{board_id}' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/boards/{board_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards/{board_id}", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/boards/{board_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
PATCH/api/v1/crm/boards/{board_id}

Update a CRM board

Parameters

NameInTypeRequiredDescription
board_idpathstringtrue
Try it
Query

Examples

cURL
curl -X PATCH 'https://spideriq.ai/api/v1/crm/boards/{board_id}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "is_archived": true,
  "settings": {},
  "field_config": [
    {
      "key": "string",
      "label": "string",
      "type": "string",
      "visible": true,
      "position": 0,
      "group": "string",
      "options": [
        {}
      ]
    }
  ],
  "idap_source": {
    "enabled": true,
    "resource_type": "string",
    "filters": {
      "flags": "!rejected",
      "campaign_id": "string"
    },
    "column_flag_map": {},
    "field_map": {},
    "last_sync_cursor": "string",
    "last_sync_at": "string"
  }
}'
Python
import httpx

resp = httpx.patch(
    "https://spideriq.ai/api/v1/crm/boards/{board_id}",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"name": "string", "description": "string", "icon": "string", "color": "string", "is_archived": true, "settings": {}, "field_config": [{"key": "string", "label": "string", "type": "string", "visible": true, "position": 0, "group": "string", "options": [{}]}], "idap_source": {"enabled": true, "resource_type": "string", "filters": {"flags": "!rejected", "campaign_id": "string"}, "column_flag_map": {}, "field_map": {}, "last_sync_cursor": "string", "last_sync_at": "string"}},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards/{board_id}", {
  method: "PATCH",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"name": "string", "description": "string", "icon": "string", "color": "string", "is_archived": true, "settings": {}, "field_config": [{"key": "string", "label": "string", "type": "string", "visible": true, "position": 0, "group": "string", "options": [{}]}], "idap_source": {"enabled": true, "resource_type": "string", "filters": {"flags": "!rejected", "campaign_id": "string"}, "column_flag_map": {}, "field_map": {}, "last_sync_cursor": "string", "last_sync_at": "string"}})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"name": "string", "description": "string", "icon": "string", "color": "string", "is_archived": true, "settings": {}, "field_config": [{"key": "string", "label": "string", "type": "string", "visible": true, "position": 0, "group": "string", "options": [{}]}], "idap_source": {"enabled": true, "resource_type": "string", "filters": {"flags": "!rejected", "campaign_id": "string"}, "column_flag_map": {}, "field_map": {}, "last_sync_cursor": "string", "last_sync_at": "string"}}`)
	req, _ := http.NewRequest("PATCH", "https://spideriq.ai/api/v1/crm/boards/{board_id}", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
DELETE/api/v1/crm/boards/{board_id}

Delete a CRM board

Parameters

NameInTypeRequiredDescription
board_idpathstringtrue
Try it
Query

Examples

cURL
curl -X DELETE 'https://spideriq.ai/api/v1/crm/boards/{board_id}' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.delete(
    "https://spideriq.ai/api/v1/crm/boards/{board_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards/{board_id}", {
  method: "DELETE",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("DELETE", "https://spideriq.ai/api/v1/crm/boards/{board_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
204Successful Response
422Validation Error